<template>
    <el-icon class="tjm_tools_icon" size="24" @click="toggle" :color="layoutStyle=='vertical'?'':'#fff'">
        <tjm-icon-ep-FullScreen />
    </el-icon>
</template>

<script setup>
import { useFullscreen } from '@vueuse/core'
import { useSettingStore } from '@/store/settings.js'
const settingStore = useSettingStore()
const { layoutStyle } = storeToRefs(settingStore)
const { isFullscreen, enter, exit, toggle } = useFullscreen()
</script>

<style lang='scss' scoped>
.tjm_tools_icon {
  margin-left: 10px;
  cursor: pointer;
}
</style>